Bug 54852 - Tulip will not compile as a built-in in kernel-2.4.9-6
Tulip will not compile as a built-in in kernel-2.4.9-6
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-21 03:11 EDT by Andrew Bradford
Modified: 2007-04-18 12:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 14:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Bradford 2001-10-21 03:11:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010816

Description of problem:
When selecting DECchip Tulip(dc21x4x) PCI support to be included in the
kernel, rather than as a module, the kernel fails to compile.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install kernel-source-2.4.9-6.i386.rpm
2. Execute `make mrproper' in /usr/src/linux-2.4.9-6
3. Execute `make menuconfig'
4. Select `Load an Alternate Configuration File'
5. Select configs/kernel-2.4.9-i686.config
6. Select `Network device support -> Ethernet (10 or 100Mbit)'
7. Select `DECchip Tulip (dc21x4x) PCI support' so that it is included in
the kernel
8. Exit menuconfig saving the configuration
9. Execute `make dep;make clean;make bzImage'


Actual Results:  Linking fails due to conflicts in function names between
tulip and tulip_old.

Expected Results:  The compilation should have succeeded.

Additional info:

The error does not occur if you remove tulip_old from TULIP_CONFIG in
net/Makefile but I have been unable, as yet, to test a kernel compiled in
this manner.
Compiling the kernel with tulip as a module produces, I believe, tulip.o
and tulip_old.o so no linking occurs to cause the error. I prefer to
disable module support in the kernel on secured installations and most of
these systems use Linksys LNE100TX NICs.
Comment 1 jon molin 2002-07-05 02:41:44 EDT
I have had the same problem with 2.4.9-31 on rh 7.2, I removed all tulip_old 
from the net/Makefile and that made it possible to compile.

Note You need to log in before you can comment on or make changes to this bug.